> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pipellm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 概述

> OpenAI Compatible API 认证、端点和支持的模型

## Base URL

```
https://api.pipellm.ai/v1
```

## 认证

| Header          | 值                         |
| --------------- | ------------------------- |
| `Authorization` | `Bearer $PIPELLM_API_KEY` |

## 端点

| 类型               | 端点                          |
| ---------------- | --------------------------- |
| Chat Completions | `POST /v1/chat/completions` |
| Responses        | `POST /v1/responses`        |

## 支持的模型

**OpenAI**

* `gpt-4.1` / `gpt-4.1-mini`（最新）
* `gpt-4o` / `gpt-4o-mini`
* `o3` / `o4-mini` / `o4-mini-high`（推理模型）

**Grok (xAI)**

* `grok-3`（最新）
* `grok-2` / `grok-2-mini`

**DeepSeek**

* `deepseek-chat`
* `deepseek-coder`
* `deepseek-reasoner`

**Groq**

* `llama-3.1-70b-versatile`
* `mixtral-8x7b-32768`

完整模型列表请参考 [OpenAI 模型文档](https://platform.openai.com/docs/models)。

## 选择集成方式

<Columns cols={3}>
  <Card title="Chat Completions" icon="comments" href="/api-reference/openai/chat-completions">
    OpenAI SDK，包含 Function Calling
  </Card>

  <Card title="Responses" icon="sparkles" href="/api-reference/openai/responses.zh">
    OpenAI Responses API
  </Card>

  <Card title="LangChain（OpenAI）" icon="link" href="/integrations/langchain-openai.zh">
    框架集成文档
  </Card>
</Columns>
